#!/usr/bin/env fish
mise env -s fish | source

set -l g (set_color a6d189)
set -l b (set_color 8caaee)
set -l s '#8caaee'
set -l n (set_color normal)

gum style --foreground "$s" --border double --padding "1 2" --margin "1" "Splashboard — Un dashboard pour ton shell"

echo "$g❯$b Choisis un contexte splashboard :$n"
set chosen (gum choose \
    "dotfiles_custom" \
    "dotfiles_preset_codebase" \
    "gitlab-classrooms" \
    "nomekop")

if test -n "$chosen"
    echo "cd $chosen" >"$DEMO_CD_FILE"
end
